| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxDCOverlay Class Reference

`#include <wx/overlay.h>`

## Detailed Description

Connects an overlay with a drawing DC.

##

Library: wxCore

See Also
  wxOverlay, wxDC

## Public Member Functions

| wxDCOverlay (wxOverlay &overlay, wxDC *dc, int x, int y, int width, int height)
| Connects this overlay to the corresponding drawing dc, if the overlay is not initialized yet this call will do so.
| wxDCOverlay (wxOverlay &overlay, wxDC *dc)
| Convenience wrapper that behaves the same using the entire area of the dc.
virtual | ~wxDCOverlay ()
| Removes the connection between the overlay and the dc.
void | Clear ()
| Clears the layer, restoring the state at the last init.

## Constructor & Destructor Documentation

wxDCOverlay::wxDCOverlay | ( | wxOverlay & | overlay,
|  | wxDC * | dc,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |  |

Connects this overlay to the corresponding drawing dc, if the overlay is not initialized yet this call will do so.

wxDCOverlay::wxDCOverlay | ( | wxOverlay & | overlay,
|  | wxDC * | dc
| ) |  |

Convenience wrapper that behaves the same using the entire area of the dc.

virtual wxDCOverlay::~wxDCOverlay | ( |  | ) |

virtual

Removes the connection between the overlay and the dc.

## Member Function Documentation

void wxDCOverlay::Clear | ( |  | ) |

Clears the layer, restoring the state at the last init.